# Yahoo! UI Library

### charts 3.3.0

Yahoo! UI Library > charts > LeftAxisLayout
Search:
Filters Show Private Show Protected Show Deprecated

## Class LeftAxisLayout - extends Base

Algorithmic strategy for rendering a left axis.

### Constructor

LeftAxisLayout `( config )`

Parameters:
  `config <Object>`

### Properties

#### maxLabelSize - `private object`

#### Properties inherited from Plugin.Host:

`PluginHost`

#### Properties inherited from Attribute:

``

#### Properties inherited from Base:

`name`

### Methods

#### drawTick

`protected void drawTick ( pt )`
Draws a tick

Parameters:
  `pt <Object>` Point on the axis in which the tick will intersect.

#### getLabelPoint

`protected Object getLabelPoint ( point )`
Calculates the point for a label.

Parameters:
  `point <Object>` Point on the axis in which the tick will intersect.

#### getLineStart

`protected Object getLineStart ( )`
Calculates the coordinates for the first point on an axis.

#### offsetNodeForTick

`protected void offsetNodeForTick ( cb )`
Adjust the position of the Axis widget's content box for internal axes.

Parameters:
  `cb <Node>` Content box of the Axis.

#### positionLabel

`protected void positionLabel ( label , pt )`
Rotate and position labels.

Parameters:
  `label <HTMLElement>` to rotate position
  `pt <Object>` hash containing the x and y coordinates in which the label will be positioned against.

#### setCalculatedSize

`protected void setCalculatedSize ( )`
Sets the width of the axis based on its contents.

#### setSizeAndPosition

`protected void setSizeAndPosition ( )`
Calculates the size and positions the content elements.

#### setTickOffset

`protected void setTickOffset ( )`
Sets the length of the tick on either side of the axis line.

#### updateMaxLabelSize

`protected void updateMaxLabelSize ( label )`
Updates the value for the `maxLabelSize` for use in calculating total size.

Parameters:
  `label <HTMLElement>` to measure

#### Methods inherited from EventTarget:

`_getType, _monitor, _parseType, addTarget, after, before, bubble, detach, detachAll, fire, getEvent, getTargets, on, once, parseType, publish, removeTarget, subscribe, unsubscribe, unsubscribeAll`

#### Methods inherited from Attribute:

`_addAttrs, _addLazyAttr, _defAttrChangeFn, _fireAttrChange, _getAttr, _getAttrCfg, _getAttrInitVal, _getAttrs, _getStateVal, _isLazyAttr, _normAttrVals, _protectAttrs, _set, _setAttr, _setAttrs, _setAttrVal, _setStateVal, addAttr, addAttrs, attrAdded, get, getAttrs, modifyAttr, removeAttr, reset, set, setAttrs`

#### Methods inherited from Plugin.Host:

`_destroyPlugins, _initPlugins, hasPlugin, plug, unplug`

#### Methods inherited from Base:

`_aggregateAttrs, _defDestroyFn, _defInitFn, _destroyHierarchy, _filterAttrCfs, _getAttrCfgs, _getClasses, _initHierarchy, _initHierarchyData, _preInitEventCfg, destroy, init, toString`

### Events

#### axisRendererChange

`axisRendererChange ( event )`
Fires when the value for the configuration attribute 'axisRenderer' is changed. You can listen for the event using the on method if you wish to be notified before the attribute's value has changed, or using the after method if you wish to be notified after the attribute's value has changed.

Parameters:
  `event <Event.Facade>` An Event Facade object with the following attribute specific properties added:
  prevVal
    The value of the attribute, prior to it being set
  newVal
    The value the attribute is to be set to
  attrName
    The name of the attribute being set
  subAttrName
    If setting a property within the attribute's value, the name of the sub-attribute property being set

#### Events inherited from Base:

`destroy, destroyedChange, init, initializedChange,`

### Configuration Attributes

#### axisRenderer `- protected Axis`

Reference to the `Axis` using the strategy.

#### Configuration attributes inherited from Base:

`destroyed initialized`

Copyright © 2011 Yahoo! Inc. All rights reserved.